%define name 		rat
%define version 	4.2.19
%define release 	1mdk

Summary: 	Unicast and multicast voice-over-IP application
Name: 		%{name}
Version: 	%{version}
Release: 	%{release}
Group: 		Networking/Other
License: 	Copyright (c) 1995-2000 University College London
URL: 		http://www-mice.cs.ucl.ac.uk/multimedia/software/rat/index.html
Source: 	%{name}-%{version}.tar.bz2
Source1:	faq.html.bz2
BuildRoot: 	%{_tmppath}/%{name}-buildroot


%description
RAT is the premier open source voice-over-IP
application. It allows users to particpate in audio
conferences over the internet. These can be between
two participants directly, or between a group of
participants on a common multicast group. No special
features are required to use RAT in point-to-point
mode, but to use the multiparty conferencing facilities
of RAT, all participants must reside on a portion of the
Internet which supports IP multicast. RAT is based on
IETF standards, using RTP above UDP/IP as its
transport protocol, and conforming to the RTP profile
for audio and video conference with minimal control. 

RAT features sender based loss mitigation mechanisms
and receiver based audio repair techniques to compensate 
for packet loss, and load adaption in response to host 
performance. It runs on a range of platforms: FreeBSD, 
HP-UX, IRIX, Linux, NetBSD, Solaris, SunOS, and Windows 
95/NT. The source code is publicly available for porting 
to other platforms and for modification by others. 

Note that RAT does not perform call services like user 
location, neither does it listen to session announcements 
to discover advertised multicast sessions. For these 
purposes, it is recommended you use RAT in conjunction 
with the Session Directory (SDR), or a similar application. 

See http://www-mice.cs.ucl.ac.uk/multimedia/software/rat

%prep

%setup -q

%build

cd rat
cd ../tcl-8.0/unix
export CC="kgcc"
export CXX="kg++"
%configure
%make

cd ../../tk-8.0/unix
%configure
%make

cd ../../common
%configure
%make

cd ../rat
%configure
%make
cd ..

%install
[ -d $RPM_BUILD_ROOT ] && rm -r $RPM_BUILD_ROOT;

install -m 755 -d $RPM_BUILD_ROOT{%{_bindir},%{_prefix}/doc/%{name}-%{version},%{_mandir}/man1}
install -m 755 rat/%{name}-%{version}{,-media,-ui}	$RPM_BUILD_ROOT%{_bindir}/

install -m 644 rat/man/man1/rat.1*	$RPM_BUILD_ROOT%{_mandir}/man1/

bzcat %{SOURCE1} > $RPM_BUILD_ROOT%{_prefix}/doc/%{name}-%{version}/faq.html


%clean
[ -d $RPM_BUILD_ROOT ] && rm -r $RPM_BUILD_ROOT;


%files 
%defattr(644,root,root,755)
%{_mandir}/man1/rat.1*
%doc rat/README rat/README.devices rat/README.files rat/README.gsm rat/README.mbus
%doc rat/README.playout rat/README.timestamps rat/COPYRIGHT 

%attr(755,root,root) %{_bindir}/%{name}-%{version}*


%changelog
* Tue Aug 28 2001 Lenny Cartier <lenny@mandrakesoft.com> 4.2.19-1mdk
- 4.2.19

* Fri Jan 26 2001 Lenny Cartier <lenny@mandrakesoft.com> 4.2.12-1mdk
- updated 4.2.12

* Mon Jan 22 2001 David BAUDENS <baudens@mandrakesoft.com> 4.2.6-5mdk
- Fix build

* Fri Sep 15 2000 Lenny Cartier <lenny@mandrakesoft.com> 4.2.6-4mdk
- BM
- macros

* Wed Jul 12 2000 Christian Zoffoli <czoffoli@linux-mandrake.com> 4.2.6-3mdk
- removed %group

* Tue Jul 11 2000 Christian Zoffoli <czoffoli@linux-mandrake.com> 4.2.6-2mdk
- macroszifications

* Mon Jul 10 2000 Christian Zoffoli <czoffoli@linux-mandrake.com> 4.2.6-1mdk
- Mandrakized version

